use strict;
undo_eco; # Discard previous ECO operations
setup_eco("eco_example"); # Setup ECO name
read_library("art.90nm.lib"); # Read in standard library
read_design("-ref", "reference.gv"); # Read in the Reference Netlist
read_design("-imp", "implementation.gv"); # Read in the implementation Netlist Which is under ECO
set_top("topmod"); # Set the top module that ECO is working on
fix_design;

stitch_scan_chain("-to", "out_data_reg_22_"); # Stitch up scan chain
report_eco();
check_design;
write_verilog("imp_eco.gv");
write_soce("imp_eco.tcl");

exit;
